import 'interface/deeplink_api.dart';
import 'interface/event_api.dart';
import 'interface/state_api.dart';
import 'interface/placement_api.dart';

import 'data/event_option.dart';

import 'package:flutter/services.dart';

class Airbridge {
  static final DeeplinkAPI deeplink = DeeplinkAPI(
      const EventChannel('airbridge_flutter_sdk/event/deeplink')
  );
  static final EventAPI event = EventAPI(
      const MethodChannel('airbridge_flutter_sdk/method/event')
  );
  static final StateAPI state = StateAPI(
      const MethodChannel('airbridge_flutter_sdk/method/state')
  );
  static final PlacementAPI placement = PlacementAPI(
      const MethodChannel('airbridge_flutter_sdk/method/placement')
  );

  static void trackEvent(String category, [ AirbridgeEventOption? option ]) {
    event.trackEvent(category, option);
  }

  static void setDeviceAlias(String key, String value) {
    state.setDeviceAlias(key, value);
  }

  static void removeDeviceAlias(String key) {
    state.removeDeviceAlias(key);
  }

  static void clearDeviceAlias() {
    state.clearDeviceAlias();
  }
}
